Skip to main content
GET
List Bank Transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:0

Page number, 0 indexed.

Required range: x >= 0
limit
integer
default:50

The page size

Required range: 1 <= x <= 200
bank_account
string

The BankAccount identifier, (e.g. bnka_abc123).

Search for transactions by description, reference number, or counterparty name.

drafts
boolean
default:false
posted
boolean

Filter for only posted invoices.

reference_number
string

The transaction reference number.

timerange_start
string<date-time>

Filter bank transactions created after this time.

timerange_end
string<date-time>

Filter bank transactions created before this time.

type
enum<string>

A withdrawal indicates funds flowing out of your account (negative amount). A deposit indicates funds flowing into your account (positive amount).

Available options:
deposit,
withdrawal

Response

Successful response

data
object[]
current_page
integer
default:0

The current page.

total_records
integer
default:0

Total number of records.

next_page
integer | null

The next page, if one exists.